Bug 605235 - SELinux is preventing /usr/sbin/qpidd "setsched" access .
Summary: SELinux is preventing /usr/sbin/qpidd "setsched" access .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:0815b84ce8e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-17 13:45 UTC by Bruno Matos
Modified: 2010-07-06 17:09 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.7.19-33.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-06 17:09:24 UTC


Attachments (Terms of Use)

Description Bruno Matos 2010-06-17 13:45:24 UTC
Summary:

SELinux is preventing /usr/sbin/qpidd "setsched" access .

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by qpidd. It is not expected that this access is
required by qpidd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:qpidd_t:s0
Target Context                system_u:system_r:qpidd_t:s0
Target Objects                None [ process ]
Source                        qpidd
Source Path                   /usr/sbin/qpidd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           qpid-cpp-server-0.6.895736-4.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-23.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11
                              09:42:24 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Thu 17 Jun 2010 12:21:48 PM WEST
Last Seen                     Thu 17 Jun 2010 12:21:48 PM WEST
Local ID                      21755f95-cad4-4eda-9908-c76193f1acd3
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276773708.393:12): avc:  denied  { setsched } for  pid=1317 comm="qpidd" scontext=system_u:system_r:qpidd_t:s0 tcontext=system_u:system_r:qpidd_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1276773708.393:12): arch=40000003 syscall=156 success=yes exit=0 a0=525 a1=0 a2=bf9c9bf8 a3=b77a9730 items=0 ppid=1316 pid=1317 auid=4294967295 uid=490 gid=474 euid=490 suid=490 fsuid=490 egid=474 sgid=474 fsgid=474 tty=(none) ses=4294967295 comm="qpidd" exe="/usr/sbin/qpidd" subj=system_u:system_r:qpidd_t:s0 key=(null)



Hash String generated from  catchall,qpidd,qpidd_t,qpidd_t,process,setsched
audit2allow suggests:

#============= qpidd_t ==============
allow qpidd_t self:process setsched;

Comment 1 Bruno Matos 2010-06-17 13:47:13 UTC
Any additional information, just say.

Thank you.
bmm

Comment 2 Daniel Walsh 2010-06-25 19:12:20 UTC
Looks fine to add.

Comment 3 Miroslav Grepl 2010-06-28 14:20:39 UTC
Fixed in selinux-policy-3.7.19-32.fc13

Comment 4 Bruno Matos 2010-06-28 15:28:36 UTC
(In reply to comment #3)
> Fixed in selinux-policy-3.7.19-32.fc13    

Thank you!

Comment 5 Fedora Update System 2010-06-30 19:55:09 UTC
selinux-policy-3.7.19-33.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13

Comment 6 Fedora Update System 2010-07-01 18:49:07 UTC
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13

Comment 7 Bruno Matos 2010-07-02 12:00:38 UTC
Works just fine.

Thank you a lot!

Comment 8 Fedora Update System 2010-07-06 17:07:26 UTC
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.